### Function

# Gio AppInfo get_default_for_type_async

since: 2.74

#### Declaration

    void
    g_app_info_get_default_for_type_async (
      const char* content_type,
      gboolean must_support_uris,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously gets the default `GAppInfo` for a given content type.

Available since: 2.74

This function completes asynchronously. Use `g_app_info_get_default_for_type_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`content_type`

  Type: `const char*`

  The content type to find a `GAppInfo` for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`must_support_uris`

  Type: `gboolean`

  If `TRUE`, the `GAppInfo` is expected to support URIs.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is done.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.